List clients
curl --request GET \
--url https://api.example.com/api/v2/clientsimport requests
url = "https://api.example.com/api/v2/clients"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"pageSize": 123,
"total": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"title": "<string>",
"middleName": "<string>",
"companyName": "<string>",
"telephoneNumber": "<string>",
"altTelephoneNumber": "<string>",
"pronouns": "<string>",
"communicationPreferences": {
"email": true,
"phone": true,
"sms": true,
"post": true
},
"avatarUrl": "<string>",
"dob": "<string>",
"nationality": "<string>",
"niNumber": "<string>",
"occupation": "<string>",
"address": {
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"post_town": "<string>",
"county": "<string>",
"postcode": "<string>",
"uprn": "<string>"
}
}
]
}Clients
List clients
Returns a paginated list of clients for the authenticated organisation. Sensitive fields (invite codes, search vectors, internal IDs) are omitted.
GET
/
api
/
v2
/
clients
List clients
Query Parameters
Page number (1-based)
Required range:
x >= 1Page size (default 20, max 100)
Required range:
1 <= x <= 100Was this page helpful?
⌘I